Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class BinderHelper

    java.lang.Object
      org.hibernate.cfg.BinderHelper

    public class BinderHelper

extends Object

Author:
  Emmanuel Bernard

Field Summary
`static Set<String>` | `PRIMITIVE_NAMES`

Method Summary
`static void` | `createSyntheticPropertyReference(Ejb3JoinColumn[] columns, org.hibernate.mapping.PersistentClass ownerEntity, org.hibernate.mapping.PersistentClass associatedEntity, org.hibernate.mapping.Value value, boolean inverse, ExtendedMappings mappings)`
`static Object` | `findColumnOwner(org.hibernate.mapping.PersistentClass persistentClass, String columnName, ExtendedMappings mappings)` Find the column owner (ie PersistentClass or Join) of columnName.
`static org.hibernate.mapping.Property` | `findPropertyByName(org.hibernate.mapping.PersistentClass associatedClass, String propertyName)`
`static String` | `getRelativePath(PropertyHolder propertyHolder, String propertyName)`
`static org.hibernate.mapping.Property` | `shallowCopy(org.hibernate.mapping.Property property)` create a property copy reusing the same value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIMITIVE_NAMES

    public static final Set<String> PRIMITIVE_NAMES

Method Detail

### shallowCopy

    public static org.hibernate.mapping.Property shallowCopy(org.hibernate.mapping.Property property)

  create a property copy reusing the same value

### createSyntheticPropertyReference

    public static void createSyntheticPropertyReference(Ejb3JoinColumn[] columns,
                                                        org.hibernate.mapping.PersistentClass ownerEntity,
                                                        org.hibernate.mapping.PersistentClass associatedEntity,
                                                        org.hibernate.mapping.Value value,
                                                        boolean inverse,
                                                        ExtendedMappings mappings)

### findPropertyByName

    public static org.hibernate.mapping.Property findPropertyByName(org.hibernate.mapping.PersistentClass associatedClass,
                                                                    String propertyName)

### getRelativePath

    public static String getRelativePath(PropertyHolder propertyHolder,
                                         String propertyName)

### findColumnOwner

    public static Object findColumnOwner(org.hibernate.mapping.PersistentClass persistentClass,
                                         String columnName,
                                         ExtendedMappings mappings)

  Find the column owner (ie PersistentClass or Join) of columnName. If columnName is null or empty, persistentClass is returned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD